Create a new deposit account
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/deposit-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/deposit-accounts"
payload = { "customer_id": "123e4567-e89b-12d3-a456-426614174000" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_id: '123e4567-e89b-12d3-a456-426614174000'})
};
fetch('https://api.dexxify.com/api/v1/api/v1/deposit-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/deposit-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '123e4567-e89b-12d3-a456-426614174000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/deposit-accounts"
payload := strings.NewReader("{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/deposit-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/deposit-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}"
response = http.request(request)
puts response.read_body{
"id": "67063f653b4a1f6c7a60ec57",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"status": "active",
"deposit_addresses": [
{
"chain": "tron",
"address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"createdAt": "2026-09-01T10:15:00.000Z"
}
],
"ngn_virtual_accounts": [],
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 400,
"message": "Failed to create deposit account.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 403,
"message": "This action requires a verified identity. Complete individual KYC verification first.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Deposit Account
Create a new deposit account
Create a new deposit account for the authenticated user
POST
/
api
/
v1
/
deposit-accounts
Create a new deposit account
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/deposit-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/deposit-accounts"
payload = { "customer_id": "123e4567-e89b-12d3-a456-426614174000" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customer_id: '123e4567-e89b-12d3-a456-426614174000'})
};
fetch('https://api.dexxify.com/api/v1/api/v1/deposit-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/deposit-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '123e4567-e89b-12d3-a456-426614174000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/deposit-accounts"
payload := strings.NewReader("{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/deposit-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/deposit-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n}"
response = http.request(request)
puts response.read_body{
"id": "67063f653b4a1f6c7a60ec57",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"status": "active",
"deposit_addresses": [
{
"chain": "tron",
"address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"createdAt": "2026-09-01T10:15:00.000Z"
}
],
"ngn_virtual_accounts": [],
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 400,
"message": "Failed to create deposit account.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 403,
"message": "This action requires a verified identity. Complete individual KYC verification first.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Response
Deposit account created successfully.

